shibsp::FilteringContext Class Referenceabstract

Context for attribute filtering operations. More...

`#include <shibsp/attribute/filtering/FilteringContext.h>`

Inheritance diagram for shibsp::FilteringContext:
[legend]

## Public Member Functions

virtual const Application & | getApplication () const =0
| Gets the Application doing the filtering.
virtual const XMLCh * | getAuthnContextClassRef () const =0
| Returns a URI containing an AuthnContextClassRef associated with the subject.
virtual const XMLCh * | getAuthnContextDeclRef () const =0
| Returns a URI containing an AuthnContextDeclRef associated with the subject.
virtual const XMLCh * | getAttributeRequester () const =0
| Gets the ID of the requester of the attributes, if known.
virtual const XMLCh * | getAttributeIssuer () const =0
| Gets the ID of the issuer of the attributes, if known.
virtual const opensaml::saml2md::RoleDescriptor * | getAttributeRequesterMetadata () const =0
| Gets the SAML metadata for the attribute requesting role, if available.
virtual const opensaml::saml2md::RoleDescriptor * | getAttributeIssuerMetadata () const =0
| Gets the SAML metadata for the attribute issuing role, if available.
virtual const std::multimap< std::string, Attribute * > & | getAttributes () const =0
| Returns the set of Attributes being filtered.

## Detailed Description

Context for attribute filtering operations.

## Member Function Documentation

## getApplication()

virtual const Application & shibsp::FilteringContext::getApplication | ( |  | ) | const

pure virtual

Gets the Application doing the filtering.

Returns
  reference to an Application

Implemented in shibsp::BasicFilteringContext.

## getAttributeIssuer()

virtual const XMLCh * shibsp::FilteringContext::getAttributeIssuer | ( |  | ) | const

pure virtual

Gets the ID of the issuer of the attributes, if known.

Returns
  ID of the issuer of the attributes, or nullptr

Implemented in shibsp::BasicFilteringContext.

## getAttributeIssuerMetadata()

virtual const opensaml::saml2md::RoleDescriptor * shibsp::FilteringContext::getAttributeIssuerMetadata | ( |  | ) | const

pure virtual

Gets the SAML metadata for the attribute issuing role, if available.

Returns
  SAML metadata for the attribute issuing role, or nullptr

Implemented in shibsp::BasicFilteringContext.

## getAttributeRequester()

virtual const XMLCh * shibsp::FilteringContext::getAttributeRequester | ( |  | ) | const

pure virtual

Gets the ID of the requester of the attributes, if known.

Returns
  requester of the attributes, or nullptr

Implemented in shibsp::BasicFilteringContext.

## getAttributeRequesterMetadata()

virtual const opensaml::saml2md::RoleDescriptor * shibsp::FilteringContext::getAttributeRequesterMetadata | ( |  | ) | const

pure virtual

Gets the SAML metadata for the attribute requesting role, if available.

Returns
  SAML metadata for the attribute requesting role, or nullptr

Implemented in shibsp::BasicFilteringContext.

## getAttributes()

virtual const std::multimap< std::string, Attribute * > & shibsp::FilteringContext::getAttributes | ( |  | ) | const

pure virtual

Returns the set of Attributes being filtered.

No modifications should be performed, access is provided only for use by MatchFunctors based on the presence of Attribute data.

Returns
  an immutable map of Attributes.

Implemented in shibsp::BasicFilteringContext.

## getAuthnContextClassRef()

virtual const XMLCh * shibsp::FilteringContext::getAuthnContextClassRef | ( |  | ) | const

pure virtual

Returns a URI containing an AuthnContextClassRef associated with the subject.

SAML 1.x AuthenticationMethods will be returned as class references.

Returns
  a URI identifying the authentication context class

Implemented in shibsp::BasicFilteringContext.

## getAuthnContextDeclRef()

virtual const XMLCh * shibsp::FilteringContext::getAuthnContextDeclRef | ( |  | ) | const

pure virtual

Returns a URI containing an AuthnContextDeclRef associated with the subject.

Returns
  a URI identifying the authentication context declaration

Implemented in shibsp::BasicFilteringContext.

The documentation for this class was generated from the following file:

- shibsp/attribute/filtering/FilteringContext.h